[class*="mobile"] {
  display: none !important;
  visibility: hidden !important;
  opacity: 0; }

@media screen and (max-width: 960px) {
  [class*="mobile"] {
    display: block !important;
    visibility: visible !important;
    opacity: 1; } }

.no-touch .layout__video {
  overflow: hidden; }
  .no-touch .layout__video a[rel="video"] {
    cursor: none;
    pointer-events: none;
    opacity: 0;
    position: fixed;
    background-color: rgba(50, 50, 50, 0.25);
    -moz-transition-property: opacity;
    -o-transition-property: opacity;
    -webkit-transition-property: opacity;
    transition-property: opacity;
    -moz-transition-duration: 0.2s;
    -o-transition-duration: 0.2s;
    -webkit-transition-duration: 0.2s;
    transition-duration: 0.2s;
    -moz-transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
    -o-transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
    -webkit-transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
    transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
    -moz-transition-delay: 0s;
    -o-transition-delay: 0s;
    -webkit-transition-delay: 0s;
    transition-delay: 0s; }
  .no-touch .layout__video:hover a[rel="video"] {
    opacity: 1;
    pointer-events: initial; }

.layout__video {
  margin-top: var(--content-padding-top, 0);
  margin-bottom: var(--content-padding-bottom, 0);
  color: #fff; }
  .layout__video > div {
    height: 100%; }
  .layout__video a[rel="video"] {
    position: absolute;
    top: 50%;
    left: 50%;
    -moz-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    font-weight: 600;
    color: #fff;
    padding: 0.5rem 0.8rem;
    border-radius: var(--radius);
    backdrop-filter: blur(1rem);
    z-index: 4000; }
    .layout__video a[rel="video"] .label {
      text-wrap: nowrap; }
  .layout__video .video__interface {
    position: relative;
    height: 100%;
    z-index: 1000; }
  .layout__video .video__overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000; }
  .layout__video .video__background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    background-color: black !important; }
    .layout__video .video__background img {
      width: 100%;
      height: 100%;
      object-fit: cover; }
  .layout__video.video__fullscreen {
    width: var(--vw, 100vw);
    height: var(--vh, 100vh) !important; }
  .layout__video.video__large {
    width: var(--vw, 100vw);
    height: 90vh; }
    .layout__video.video__large .video__background {
      border-radius: unset; }
  .layout__video.video__small > div {
    width: 100%;
    padding: 0 2rem;
    height: 100%;
    margin: 0 auto; }
  .layout__video.video__small .video__background {
    position: static; }

@media screen and (max-width: 960px) {
  .layout__video.video__large, .layout__video.video__small {
    width: 100%;
    height: auto;
    aspect-ratio: 4/3; }
  .layout__video.video__small {
    padding: 0 1.5rem; }
    .layout__video.video__small > div {
      padding: 0; } }
